## libjpeg-turbo 2.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
# When using CMake 3.4 and later, don't export symbols from executables unless
# the CMAKE_ENABLE_EXPORTS variable is set.
if(POLICY CMP0065)
  cmake_policy(SET CMP0065 NEW)
endif()

if(CMAKE_EXECUTABLE_SUFFIX)
  set(CMAKE_EXECUTABLE_SUFFIX_TMP ${CMAKE_EXECUTABLE_SUFFIX})
endif()

project(libjpeg-turbo C)
set(VERSION 2.1.5)
set(COPYRIGHT_YEAR "1991-2023")
string(REPLACE "." ";" VERSION_TRIPLET ${VERSION})
list(GET VERSION_TRIPLET 0 VERSION_MAJOR)
list(GET VERSION_TRIPLET 1 VERSION_MINOR)
list(GET VERSION_TRIPLET 2 VERSION_REVISION)
function(pad_number NUMBER OUTPUT_LEN)
  string(LENGTH "${${NUMBER}}" INPUT_LEN)
  if(INPUT_LEN LESS OUTPUT_LEN)
    math(EXPR ZEROES "${OUTPUT_LEN} - ${INPUT_LEN} - 1")
    set(NUM ${${NUMBER}})
    foreach(C RANGE ${ZEROES})
      set(NUM "0${NUM}")
    endforeach()
    set(${NUMBER} ${NUM} PARENT_SCOPE)
  endif()
endfunction()
pad_number(VERSION_MINOR 3)
pad_number(VERSION_REVISION 3)
set(LIBJPEG_TURBO_VERSION_NUMBER ${VERSION_MAJOR}${VERSION_MINOR}${VERSION_REVISION})

# CMake 3.14 and later sets CMAKE_MACOSX_BUNDLE to TRUE by default when
# CMAKE_SYSTEM_NAME is iOS, tvOS, or watchOS, which breaks the libjpeg-turbo
# build.  (Specifically, when CMAKE_MACOSX_BUNDLE is TRUE, executables for
# Apple platforms are built as application bundles, which causes CMake to
# complain that our install() directives for executables do not specify a
# BUNDLE DESTINATION.  Even if CMake did not complain, building executables as
# application bundles would break our iOS packages.)
set(CMAKE_MACOSX_BUNDLE FALSE)

get_property(GENERATOR_IS_MULTI_CONFIG GLOBAL PROPERTY
  GENERATOR_IS_MULTI_CONFIG)
# If the GENERATOR_IS_MULTI_CONFIG property doesn't exist (CMake < 3.9), then
# set the GENERATOR_IS_MULTI_CONFIG variable manually if the generator is
# Visual Studio or Xcode (the only multi-config generators in CMake < 3.9).
if(NOT GENERATOR_IS_MULTI_CONFIG AND (MSVC_IDE OR XCODE))
  set(GENERATOR_IS_MULTI_CONFIG TRUE)
endif()

string(TIMESTAMP DEFAULT_BUILD "%Y%m%d")
set(BUILD ${DEFAULT_BUILD} CACHE STRING "Build string (default: ${DEFAULT_BUILD})")

# NOTE: On Windows, this does nothing except when using MinGW or Cygwin.
# CMAKE_BUILD_TYPE has no meaning in Visual Studio, and it always defaults to
# Debug when using NMake.
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()
message(STATUS "CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")

message(STATUS "VERSION = ${VERSION}, BUILD = ${BUILD}")

include(cmakescripts/PackageInfo.cmake)

# Detect CPU type and whether we're building 64-bit or 32-bit code
math(EXPR BITS "${CMAKE_SIZEOF_VOID_P} * 8")
string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} CMAKE_SYSTEM_PROCESSOR_LC)
set(COUNT 1)
foreach(ARCH ${CMAKE_OSX_ARCHITECTURES})
  if(COUNT GREATER 1)
    message(FATAL_ERROR "The libjpeg-turbo build system does not support multiple values in CMAKE_OSX_ARCHITECTURES.")
  endif()
  math(EXPR COUNT "${COUNT}+1")
endforeach()
if(CMAKE_SYSTEM_PROCESSOR_LC MATCHES "x86_64" OR
  CMAKE_SYSTEM_PROCESSOR_LC MATCHES "amd64" OR
  CMAKE_SYSTEM_PROCESSOR_LC MATCHES "i[0-9]86" OR
  CMAKE_SYSTEM_PROCESSOR_LC MATCHES "x86" OR
  CMAKE_SYSTEM_PROCESSOR_LC MATCHES "ia32")
  if(BITS EQUAL 64 OR CMAKE_C_COMPILER_ABI MATCHES "ELF X32")
    set(CPU_TYPE x86_64)
  else()
    set(CPU_TYPE i386)
  endif()
  if(NOT CMAKE_SYSTEM_PROCESSOR STREQUAL ${CPU_TYPE})
    set(CMAKE_SYSTEM_PROCESSOR ${CPU_TYPE})
  endif()
elseif(CMAKE_SYSTEM_PROCESSOR_LC STREQUAL "aarch64" OR
  CMAKE_SYSTEM_PROCESSOR_LC MATCHES "^arm")
  if(BITS EQUAL 64)
    set(CPU_TYPE arm64)
  else()
    set(CPU_TYPE arm)
  endif()
elseif(CMAKE_SYSTEM_PROCESSOR_LC MATCHES "^ppc" OR
  CMAKE_SYSTEM_PROCESSOR_LC MATCHES "^powerpc")
  set(CPU_TYPE powerpc)
else()
  set(CPU_TYPE ${CMAKE_SYSTEM_PROCESSOR_LC})
endif()
if(CMAKE_OSX_ARCHITECTURES MATCHES "x86_64" OR
  CMAKE_OSX_ARCHITECTURES MATCHES "arm64" OR
  CMAKE_OSX_ARCHITECTURES MATCHES "i386")
  set(CPU_TYPE ${CMAKE_OSX_ARCHITECTURES})
endif()
if(CMAKE_OSX_ARCHITECTURES MATCHES "ppc")
  set(CPU_TYPE powerpc)
endif()
if(MSVC_IDE AND CMAKE_GENERATOR_PLATFORM MATCHES "arm64")
  set(CPU_TYPE arm64)
endif()

message(STATUS "${BITS}-bit build (${CPU_TYPE})")


###############################################################################
# INSTALL DIRECTORIES
###############################################################################

if(WIN32)
  if(MSVC)
    set(CMAKE_INSTALL_DEFAULT_PREFIX "c:/${CMAKE_PROJECT_NAME}")
  else()
    set(CMAKE_INSTALL_DEFAULT_PREFIX "c:/${CMAKE_PROJECT_NAME}-gcc")
  endif()
  if(BITS EQUAL 64)
    set(CMAKE_INSTALL_DEFAULT_PREFIX "${CMAKE_INSTALL_DEFAULT_PREFIX}64")
  endif()
else()
  if(NOT CMAKE_INSTALL_DEFAULT_PREFIX)
    set(CMAKE_INSTALL_DEFAULT_PREFIX /opt/${CMAKE_PROJECT_NAME})
  endif()
endif()
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_DEFAULT_PREFIX}" CACHE PATH
    "Directory into which to install ${CMAKE_PROJECT_NAME} (default: ${CMAKE_INSTALL_DEFAULT_PREFIX})"
    FORCE)
endif()
message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")

# When the prefix is /opt/${CMAKE_PROJECT_NAME}, we assume that an "official"
# build is being created, and thus we install things into specific locations.

if(CMAKE_INSTALL_PREFIX STREQUAL "${CMAKE_INSTALL_DEFAULT_PREFIX}")
  set(CMAKE_INSTALL_DEFAULT_DATAROOTDIR "")
  set(CMAKE_INSTALL_DEFAULT_DOCDIR "<CMAKE_INSTALL_DATAROOTDIR>/doc")
  set(CMAKE_INSTALL_DEFAULT_JAVADIR "<CMAKE_INSTALL_DATAROOTDIR>/classes")
  if(UNIX AND NOT APPLE)
    if(BITS EQUAL 64)
      set(CMAKE_INSTALL_DEFAULT_LIBDIR "lib64")
    elseif(CMAKE_C_COMPILER_ABI MATCHES "ELF X32")
      set(CMAKE_INSTALL_DEFAULT_LIBDIR "libx32")
    else()
      set(CMAKE_INSTALL_DEFAULT_LIBDIR "lib32")
    endif()
  endif()
endif()

include(cmakescripts/GNUInstallDirs.cmake)

macro(report_directory var)
  if(CMAKE_INSTALL_${var} STREQUAL CMAKE_INSTALL_FULL_${var})
    message(STATUS "CMAKE_INSTALL_${var} = ${CMAKE_INSTALL_${var}}")
  else()
    message(STATUS "CMAKE_INSTALL_${var} = ${CMAKE_INSTALL_${var}} (${CMAKE_INSTALL_FULL_${var}})")
  endif()
  mark_as_advanced(CLEAR CMAKE_INSTALL_${var})
endmacro()

set(DIRLIST "BINDIR;DATAROOTDIR;DOCDIR;INCLUDEDIR;LIBDIR")
if(UNIX)
  list(APPEND DIRLIST "MANDIR")
endif()
foreach(dir ${DIRLIST})
  report_directory(${dir})
endforeach()


###############################################################################
# CONFIGURATION OPTIONS
###############################################################################

macro(boolean_number var)
  if(${var})
    set(${var} 1 ${ARGN})
  else()
    set(${var} 0 ${ARGN})
  endif()
endmacro()

option(ENABLE_SHARED "Build shared libraries" TRUE)
boolean_number(ENABLE_SHARED)
option(ENABLE_STATIC "Build static libraries" TRUE)
boolean_number(ENABLE_STATIC)
option(REQUIRE_SIMD "Generate a fatal error if SIMD extensions are not available for this platform (default is to fall back to a non-SIMD build)" FALSE)
boolean_number(REQUIRE_SIMD)
option(WITH_12BIT "Encode/decode JPEG images with 12-bit samples (implies WITH_ARITH_DEC=0 WITH_ARITH_ENC=0 WITH_JAVA=0 WITH_SIMD=0 WITH_TURBOJPEG=0 )" FALSE)
boolean_number(WITH_12BIT)
option(WITH_ARITH_DEC "Include arithmetic decoding support when emulating the libjpeg v6b API/ABI" TRUE)
boolean_number(WITH_ARITH_DEC)
option(WITH_ARITH_ENC "Include arithmetic encoding support when emulating the libjpeg v6b API/ABI" TRUE)
boolean_number(WITH_ARITH_ENC)
if(CMAKE_C_COMPILER_ABI MATCHES "ELF X32")
  set(WITH_JAVA 0)
else()
  option(WITH_JAVA "Build Java wrapper for the TurboJPEG API library (implies ENABLE_SHARED=1)" FALSE)
  boolean_number(WITH_JAVA)
endif()
option(WITH_JPEG7 "Emulate libjpeg v7 API/ABI (this makes ${CMAKE_PROJECT_NAME} backward-incompatible with libjpeg v6b)" FALSE)
boolean_number(WITH_JPEG7)
option(WITH_JPEG8 "Emulate libjpeg v8 API/ABI (this makes ${CMAKE_PROJECT_NAME} backward-incompatible with libjpeg v6b)" FALSE)
boolean_number(WITH_JPEG8)
option(WITH_MEM_SRCDST "Include in-memory source/destination manager functions when emulating the libjpeg v6b or v7 API/ABI" TRUE)
boolean_number(WITH_MEM_SRCDST)
option(WITH_SIMD "Include SIMD extensions, if available for this platform" TRUE)
boolean_number(WITH_SIMD)
option(WITH_TURBOJPEG "Include the TurboJPEG API library and associated test programs" TRUE)
boolean_number(WITH_TURBOJPEG)
option(WITH_FUZZ "Build fuzz targets" FALSE)

macro(report_option var desc)
  if(${var})
    message(STATUS "${desc} enabled (${var} = ${${var}})")
  else()
    message(STATUS "${desc} disabled (${var} = ${${var}})")
  endif()
endmacro()

if(WITH_JAVA)
  set(ENABLE_SHARED 1)
endif()

# Explicitly setting CMAKE_POSITION_INDEPENDENT_CODE=FALSE disables PIC for all
# targets, which will cause the shared library builds to fail.  Thus, if shared
# libraries are enabled and CMAKE_POSITION_INDEPENDENT_CODE is explicitly set
# to FALSE, we need to unset it, thus restoring the default behavior
# (automatically using PIC for shared library targets.)
if(DEFINED CMAKE_POSITION_INDEPENDENT_CODE AND
  NOT CMAKE_POSITION_INDEPENDENT_CODE AND ENABLE_SHARED)
  unset(CMAKE_POSITION_INDEPENDENT_CODE CACHE)
endif()

report_option(ENABLE_SHARED "Shared libraries")
report_option(ENABLE_STATIC "Static libraries")

if(ENABLE_SHARED)
  set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

if(WITH_JPEG8 OR WITH_JPEG7)
  set(WITH_ARITH_ENC 1)
  set(WITH_ARITH_DEC 1)
endif()
if(WITH_JPEG8)
  set(WITH_MEM_SRCDST 0)
endif()

if(WITH_12BIT)
  set(WITH_ARITH_DEC 0)
  set(WITH_ARITH_ENC 0)
  set(WITH_JAVA 0)
  set(WITH_SIMD 0)
  set(WITH_TURBOJPEG 0)
  set(BITS_IN_JSAMPLE 12)
else()
  set(BITS_IN_JSAMPLE 8)
endif()
report_option(WITH_12BIT "12-bit JPEG support")

if(WITH_ARITH_DEC)
  set(D_ARITH_CODING_SUPPORTED 1)
endif()
if(NOT WITH_12BIT)
  report_option(WITH_ARITH_DEC "Arithmetic decoding support")
endif()

if(WITH_ARITH_ENC)
  set(C_ARITH_CODING_SUPPORTED 1)
endif()
if(NOT WITH_12BIT)
  report_option(WITH_ARITH_ENC "Arithmetic encoding support")
endif()

if(NOT WITH_12BIT)
  report_option(WITH_TURBOJPEG "TurboJPEG API library")
  report_option(WITH_JAVA "TurboJPEG Java wrapper")
endif()

if(WITH_MEM_SRCDST)
  set(MEM_SRCDST_SUPPORTED 1)
  set(MEM_SRCDST_FUNCTIONS "global:  jpeg_mem_dest;  jpeg_mem_src;")
endif()
if(NOT WITH_JPEG8)
  report_option(WITH_MEM_SRCDST "In-memory source/destination managers")
endif()

# 0: Original libjpeg v6b/v7/v8 API/ABI
#
# libjpeg v6b/v7 API/ABI emulation:
# 1: + In-memory source/destination managers (libjpeg-turbo 1.3.x)
# 2: + Partial image decompression functions (libjpeg-turbo 1.5.x)
# 3: + ICC functions (libjpeg-turbo 2.0.x)
#
# libjpeg v8 API/ABI emulation:
# 1: + Partial image decompression functions (libjpeg-turbo 1.5.x)
# 2: + ICC functions (libjpeg-turbo 2.0.x)
set(SO_AGE 2)
if(WITH_MEM_SRCDST)
  set(SO_AGE 3)
endif()

if(WITH_JPEG8)
  set(JPEG_LIB_VERSION 80)
elseif(WITH_JPEG7)
  set(JPEG_LIB_VERSION 70)
else()
  set(JPEG_LIB_VERSION 62)
endif()

math(EXPR JPEG_LIB_VERSION_DIV10 "${JPEG_LIB_VERSION} / 10")
math(EXPR JPEG_LIB_VERSION_MOD10 "${JPEG_LIB_VERSION} % 10")
if(JPEG_LIB_VERSION STREQUAL "62")
  set(DEFAULT_SO_MAJOR_VERSION ${JPEG_LIB_VERSION})
else()
  set(DEFAULT_SO_MAJOR_VERSION ${JPEG_LIB_VERSION_DIV10})
endif()
if(JPEG_LIB_VERSION STREQUAL "80")
  set(DEFAULT_SO_MINOR_VERSION 2)
else()
  set(DEFAULT_SO_MINOR_VERSION 0)
endif()

# This causes SO_MAJOR_VERSION/SO_MINOR_VERSION to reset to defaults if
# WITH_JPEG7 or WITH_JPEG8 has changed.
if((DEFINED WITH_JPEG7_INT AND NOT WITH_JPEG7 EQUAL WITH_JPEG7_INT) OR
  (DEFINED WITH_JPEG8_INT AND NOT WITH_JPEG8 EQUAL WITH_JPEG8_INT))
  set(FORCE_SO_VERSION "FORCE")
endif()
set(WITH_JPEG7_INT ${WITH_JPEG7} CACHE INTERNAL "")
set(WITH_JPEG8_INT ${WITH_JPEG8} CACHE INTERNAL "")

set(SO_MAJOR_VERSION ${DEFAULT_SO_MAJOR_VERSION} CACHE STRING
  "Major version of the libjpeg API shared library (default: ${DEFAULT_SO_MAJOR_VERSION})"
  ${FORCE_SO_VERSION})

=== debian/changelog ===
libjpeg-turbo (2.1.5-4ubuntu2) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jul 2025 14:15:26 +0200

libjpeg-turbo (1:2.1.5-4) unstable; urgency=medium

  [ Sean McGovern ]
  * Remove powerpc from JAVA_ARCHS as it is currently broken.

  [ Jeremy Bícha ]
  * Strip -Wl,-Bsymbolic-functions out of LDFLAGS
    so that hpcups and pxljr can override jinit_color_converter
    (Closes: #1089027) (LP: #777670).

  [ Mike Gabriel ]
  * debian/source/lintian-overrides:
    + Drop various very-long-line-length-in-source-file (for non-text files).
      Not needed with recent lintian anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 May 2025 16:07:15 +0200

libjpeg-turbo (2.1.5-3ubuntu2) plucky; urgency=medium

  * Follow Debian's 2015 rename of libturbojpeg to libturbojpeg0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 12:18:01 -0500

libjpeg-turbo (2.1.5-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2086846). Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty
    - Use libturbojpeg library name instead of libturbojpeg0
      to avoid a transition for now
    - Strip -Wl,-Bsymbolic-functions out of LDFLAGS, so that hpcups and
      pxljr can override jinit_color_converter (LP: #777670)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 07 Nov 2024 12:34:07 +0100

libjpeg-turbo (1:2.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhaixiaojuan ]
  * Fix test failure for loong64

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 22 Feb 2025 12:18:15 +0800

libjpeg-turbo (1:2.1.5-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable Java binding only where Java is available.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable).

  [ Mike Gabriel ]
  * debian/control:
    + White-space fix in B-D field + trailing comma.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Apr 2024 16:17:41 +0200

libjpeg-turbo (2.1.5-2ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:50 +0200

libjpeg-turbo (2.1.5-2ubuntu1) lunar; urgency=medium

  * Sync with Debian for first time since package was uploaded to Debian
    (LP: #1562880). Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty
    - Have libjpeg-turbo-progs Break/Replace libjpeg-turbo-test
      for move of tjbench
    - Use libturbojpeg library name instead of libturbojpeg0
      to avoid a transition for now
    - Strip -Wl,-Bsymbolic-functions out of LDFLAGS, so that hpcups and
      pxljr can override jinit_color_converter (LP: #777670)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2023 14:06:46 -0500

libjpeg-turbo (1:2.1.5-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_initialize-simd-support-before-every-use.patch. (Closes:
      #1030347).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 15:28:42 +0100

libjpeg-turbo (1:2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Cleanup copyright.in manually. Too much binary noise.
    + Update copyright attributions.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian: Adjust lintian override tags to new syntax, adjust upstream
    version 2.1.5.
  * debian/watch:
    + Ignore RC releases (x.y.9z pattern).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Feb 2023 11:45:21 +0100

libjpeg-turbo (1:2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Add get-orig-source target (for maintainers' convenience).
  * debian/control:
    + Add B-D: help2man.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  [ Mathieu Malaterre ]
  * debian/rules:
    + Prefer auto generated tjbench manpage. (Closes: #1000462).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 26 Nov 2021 14:41:55 +0100

libjpeg-turbo (1:2.1.1-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * Build with Java enabled. (Closes: #989217).
    - d/control: Add libturbojpeg-java package.


=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               default-jdk [!hppa !hurd-any !powerpc],
               help2man,
               javahelper,
               nasm,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.libjpeg-turbo.org/
Vcs-Git: https://salsa.debian.org/debian/libjpeg-turbo.git
Vcs-Browser: https://salsa.debian.org/debian/libjpeg-turbo/

#Package: libjpeg-dev
#Architecture: any
#Multi-Arch: same
#Section: libdevel
#Depends: libjpeg8-turbo-dev (>= ${source:Version}),
# 	 ${misc:Depends}
#Conflicts: libjpeg62-dev,
#	   libjpeg7-dev,
#	   libjpeg8-dev,
#	   libjpeg9-dev
#Description: Development files for the JPEG library [dummy package]
# This package depends on default Debian implementation of
# libjpeg.so.8 JPEG library.

Package: libjpeg-turbo8-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libc-dev,
	 libjpeg-turbo8 (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libjpeg62-dev,
	   libjpeg7-dev,
#	   libjpeg8-dev,
	   libjpeg9-dev
Replaces: libjpeg62-dev,
	  libjpeg7-dev,
#	  libjpeg8-dev,
	  libjpeg9-dev
Provides: libjpeg-dev
Description: Development files for the libjpeg-turbo JPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the static library, headers and documentation.

Package: libjpeg-turbo8
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: libjpeg-turbo JPEG runtime library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.  The libjpeg-turbo JPEG library is
 an API/ABI compatible with the IJG JPEG library.
 .
 This package contains the shared runtime library.

Package: libturbojpeg0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Replaces: libturbojpeg
Conflicts: libturbojpeg,
Description: TurboJPEG runtime library - SIMD optimized
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the TurboJPEG shared runtime library.

Package: libturbojpeg0-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libturbojpeg0 (= ${binary:Version}),
	 ${misc:Depends},
Replaces: libturbojpeg-dev,
Conflicts: libturbojpeg-dev,
	   libturbojpeg1-dev,
Provides: libturbojpeg-dev
Description: Development files for the TurboJPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the static library, headers and documentation for
 the TurboJPEG library.

Package: libjpeg-turbo-progs
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Conflicts: libjpeg-progs
Replaces: libjpeg-progs
Provides: libjpeg-progs
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files from the
 libjpeg-turbo JPEG library:
  * cjpeg/djpeg: convert to/from the JPEG file format
  * rdjpgcom/wrjpgcom: read/write comments in JPEG files
  * jpegtran: lossless transformations of JPEG files
  * jpegexiforient/exifautotran: manipulate EXIF orientation tag
  * tjbench: a simple JPEG benchmarking tool

Package: libturbojpeg-java
Architecture: all
Section: java
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${java:Depends},
         libturbojpeg0 (>= ${source:Version})
Description: Java bindings for the TurboJPEG library
 The libjpeg-turbo JPEG library is a library for handling JPEG files.
 .
 libjpeg-turbo is a JPEG image codec that uses SIMD instructions (MMX,
 SSE2, NEON) to accelerate baseline JPEG compression and decompression
 on x86, x86-64, and ARM systems.
 .
 This package contains the Java bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL =

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
  FLOAT_STORE=-ffloat-store
endif
ifneq (,$(filter $(DEB_HOST_ARCH), ia64 loong64 riscv64 s390x))
  FLOATTEST=-DFLOATTEST=fp-contract
endif

# To enable all, uncomment following line
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic $(FLOAT_STORE)

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

CFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -Wall
endif

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CC = gcc
else
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

SIMD_BROKEN_ARCHS = x32

ifeq (,$(filter $(DEB_HOST_ARCH), $(SIMD_BROKEN_ARCHS)))
  DISABLE_SIMD=-DWITH_SIMD=1
else
  DISABLE_SIMD=-DWITH_SIMD=0
endif

JAVA_ARCHS = alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips64el ppc64 ppc64el riscv64 s390x sh4 sparc64 x32

ifneq (,$(filter $(DEB_HOST_ARCH), $(JAVA_ARCHS)))
  DISABLE_JAVA=-DWITH_JAVA=1
else
  DISABLE_JAVA=-DWITH_JAVA=0
endif

%:
	dh $@ --with javahelper

override_dh_auto_configure:
	dh_auto_configure -- $(DISABLE_SIMD) $(FLOATTEST) $(DISABLE_JAVA) \
	                     -DWITH_JPEG8=1 \
	                     -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	                     -DCMAKE_INSTALL_MANDIR=/usr/share/man/
	                     $(NULL)

override_dh_auto_build:
	dh_auto_build -- V=1
	$(MAKE) -C debian/extra CC=$(CC) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" V=1

override_dh_auto_clean:
	$(MAKE) -C debian/extra clean
	if [ -e Makefile ]; then $(MAKE) testclean; fi
	dh_auto_clean
	rm -f simd/jsimdcfg.inc

override_dh_auto_install: debian/tjbench.1
	dh_auto_install
	# drop documentation files (installed via dh_installdocs)
	rm -Rfv debian/tmp/usr/share/doc/
	# Install extra utilities
	$(MAKE) -C debian/extra install prefix=/usr DESTDIR=$(CURDIR)/debian/tmp
	# Install manual page for tjbench.1
	install -m 644 debian/tjbench.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
	# Fix jconfig.h for MultiArch
	rm -f debian/tmp/usr/include/jconfig.h
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
	sed -e "s/#\(undef\|define\) HAVE_\(LOCALE\|\(STD\(DEF\|LIB\)\)\)_H 1//g" \
		obj-$(DEB_HOST_GNU_TYPE)/jconfig.h > debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/jconfig.h

override_dh_install:
	dh_install -X.la -X/usr/share/doc

override_dh_missing:
	dh_missing --fail-missing

execute_after_dh_gencontrol:
	dh_gencontrol -p libturbojpeg0-dev -- -v1:$(DEB_VERSION)
	dh_gencontrol -p libturbojpeg0 -- -v1:$(DEB_VERSION)

override_dh_makeshlibs:
	: # keep the original libjpeg symbol version
	dh_makeshlibs -- -v8c
	: # ... and mark libjpeg-turbo only symbols with a different version
	sed -i "$$(for i in $$(cat debian/libjpeg-turbo-only.symbols); do echo "/^ $$i/s/8c$$/8c-2ubuntu5~/;"; done)" debian/libjpeg-turbo8/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs -plibjpeg-turbo8-dev change.log
	dh_installchangelogs -Nlibjpeg-turbo8-dev

# See debhelper:
DEFAULT_BUILD_DIRECTORY = obj-$(DEB_HOST_GNU_TYPE)

debian/tjbench.1: debian/tjbench.1.in
	PATH=$(CURDIR)/$(DEFAULT_BUILD_DIRECTORY) \
		/usr/bin/help2man --no-info --include=$< --output=$@ \
		--name="benchmark the performance of libjpeg-turbo" \
		--version-string=$(DEB_VERSION_UPSTREAM) `basename $@ .1`
	# next line may break in the future, but tidy output a bit:
	sed -z -i -e 's/USAGE: tjbench\n.IP/.SH USAGE\n.IP\ntjbench/g' $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Tests: libjpeg-turbo8-dev libjpeg-turbo8-dev-static
Depends: build-essential, libjpeg-turbo8-dev, pkg-config
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libjpeg-turbo-$1\.tar\.gz/ \
  https://github.com/libjpeg-turbo/libjpeg-turbo/tags .*/v?(\d\.\d\.\d)\.tar\.gz

## libjpeg-turbo 3.1.1

=== debian/changelog ===
libjpeg-turbo (1:3.1.1-0aatgv1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Update debian/libturbojpeg0.symbols and debian/libjpeg62-turbo.symbols
  * debian/rules:
    - DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Amon Ott <ao@m-privacy.de>  Wed, 11 Jun 2025 10:16:00 +0200

libjpeg-turbo (1:3.1.0-0aaxmp2) unstable; urgency=medium

  * Rebuild with SBOM

 -- Amon Ott <ao@m-privacy.de>  Tue, 28 Jan 2025 09:18:00 +0100

libjpeg-turbo (1:3.1.0-0aaxmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Disable obsolete patch 1001_fix-groff-warning-macro-f-not-defined.patch
  * debian/libturbojpeg0.rsbac:
    - adjust version
  * debian/rules:
    - override_dh_installchangelogs: fix path to change.log
  * debian/libjpeg62-turbo-dev.install:
    - adjust path to jpegint.h
  * debian/docs:
    - comment structure.txt
  * debian/libjpeg62-turbo-dev.docs
    - comment libjpeg.txt, usage.txt, wizard.txt, structure.txt
  * rm debian/libjpeg-turbo-progs.docs
  * rm debian/libjpeg62-turbo-dev.examples

 -- Amon Ott <ao@m-privacy.de>  Fri, 20 Dec 2024 09:21:00 +0100

libjpeg-turbo (1:3.0.4-0aaxmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases

 -- Amon Ott <ao@m-privacy.de>  Wed, 25 Sep 2024 10:13:00 +0200

libjpeg-turbo (1:3.0.3-0aavmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases

 -- Amon Ott <ao@m-privacy.de>  Thu, 13 Jun 2024 09:51:00 +0200

libjpeg-turbo (1:3.0.1-0aavmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Thu, 02 Nov 2023 08:27:00 +0100

libjpeg-turbo (1:3.0.0-0aavmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Fri, 07 Jul 2023 13:01:00 +0200

libjpeg-turbo (1:2.1.91-0aaump1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/
  * This is 3.0 Beta 2
  * debian/rules:
    - DPKG_GENSYMBOLS_CHECK_LEVEL = 0
  * update debian/lib*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Wed, 22 Mar 2023 12:57:00 +0100

libjpeg-turbo (1:2.1.5.1-0aaump1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Fri, 24 Feb 2023 14:00:00 +0100

libjpeg-turbo (1:2.1.5-0aaump1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Thu, 09 Feb 2023 12:47:00 +0100

libjpeg-turbo (1:2.1.4-0aaump1) unstable; urgency=medium

  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=8 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Wed, 30 Nov 2022 11:15:00 +0100

libjpeg-turbo (1:2.1.4-0aatmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Fri, 09 Sep 2022 08:35:00 +0200

libjpeg-turbo (1:2.1.3-0aatmp2) unstable; urgency=medium

  * Bump version because of symbol changes

 -- Amon Ott <ao@m-privacy.de>  Fri, 24 Jun 2022 12:25:00 +0200

libjpeg-turbo (1:2.1.3-0aatmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Thu, 23 Jun 2022 11:35:00 +0200

libjpeg-turbo (1:2.1.2-1aatmp1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Fri, 24 Jun 2022 11:30:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,18 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
   FLOAT_STORE=-ffloat-store
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH), ia64 loong64 riscv64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), ia64 riscv64 s390x))
   FLOATTEST=-DFLOATTEST=fp-contract
 endif
 
 # To enable all, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
-export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic $(FLOAT_STORE)
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic $(FLOAT_STORE)
+
+# m-privacy
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
@@ -43,20 +47,12 @@
   DISABLE_SIMD=-DWITH_SIMD=0
 endif
 
-JAVA_ARCHS = alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips64el ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
-
-ifneq (,$(filter $(DEB_HOST_ARCH), $(JAVA_ARCHS)))
-  DISABLE_JAVA=-DWITH_JAVA=1
-else
-  DISABLE_JAVA=-DWITH_JAVA=0
-endif
-
 %:
 	dh $@ --with javahelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(DISABLE_SIMD) $(FLOATTEST) $(DISABLE_JAVA) \
-	                     -DWITH_JPEG8=1 \
+	dh_auto_configure -- $(DISABLE_SIMD) $(FLOATTEST) \
+	                     -DWITH_JAVA=1 \
 	                     -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	                     -DCMAKE_INSTALL_MANDIR=/usr/share/man/
 	                     $(NULL)
@@ -91,19 +87,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-execute_after_dh_gencontrol:
-	dh_gencontrol -p libturbojpeg0-dev -- -v1:$(DEB_VERSION)
-	dh_gencontrol -p libturbojpeg0 -- -v1:$(DEB_VERSION)
-
-override_dh_makeshlibs:
-	: # keep the original libjpeg symbol version
-	dh_makeshlibs -- -v8c
-	: # ... and mark libjpeg-turbo only symbols with a different version
-	sed -i "$$(for i in $$(cat debian/libjpeg-turbo-only.symbols); do echo "/^ $$i/s/8c$$/8c-2ubuntu5~/;"; done)" debian/libjpeg-turbo8/DEBIAN/symbols
-
 override_dh_installchangelogs:
-	dh_installchangelogs -plibjpeg-turbo8-dev change.log
-	dh_installchangelogs -Nlibjpeg-turbo8-dev
+	dh_installchangelogs -plibjpeg62-turbo-dev doc/change.log
+	dh_installchangelogs -Nlibjpeg62-turbo-dev
 
 # See debhelper:
 DEFAULT_BUILD_DIRECTORY = obj-$(DEB_HOST_GNU_TYPE)
@@ -118,3 +104,10 @@
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
+
+override_dh_compress:
+	mp_rsbac
+	dh_compress
+
+override_dh_auto_test:
+	dh_auto_test || true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libjpeg-turbo-$1\.tar\.gz/ \
  https://github.com/libjpeg-turbo/libjpeg-turbo/tags .*/v?(\d\S+)\.tar\.gz

## libjpeg-turbo 3.1.2

=== debian/changelog ===
libjpeg-turbo (1:3.1.2-0aatgv1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Update debian/libturbojpeg0.symbols and debian/libjpeg62-turbo.symbols
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection

 -- Amon Ott <ao@m-privacy.de>  Mon, 08 Sep 2025 07:43:00 +0200

libjpeg-turbo (1:3.1.1-0aaxmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Update debian/libturbojpeg0.symbols and debian/libjpeg62-turbo.symbols
  * debian/rules:
    - DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Amon Ott <ao@m-privacy.de>  Wed, 11 Jun 2025 10:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,49 +1,48 @@
 Source: libjpeg-turbo
 Priority: optional
 Section: graphics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               default-jdk [!hppa !hurd-any !powerpc],
+               default-jdk,
                help2man,
                javahelper,
-               nasm,
+	       nasm
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.6.0
 Homepage: https://www.libjpeg-turbo.org/
 Vcs-Git: https://salsa.debian.org/debian/libjpeg-turbo.git
 Vcs-Browser: https://salsa.debian.org/debian/libjpeg-turbo/
 
-#Package: libjpeg-dev
-#Architecture: any
-#Multi-Arch: same
-#Section: libdevel
-#Depends: libjpeg8-turbo-dev (>= ${source:Version}),
-# 	 ${misc:Depends}
-#Conflicts: libjpeg62-dev,
-#	   libjpeg7-dev,
-#	   libjpeg8-dev,
-#	   libjpeg9-dev
-#Description: Development files for the JPEG library [dummy package]
-# This package depends on default Debian implementation of
-# libjpeg.so.8 JPEG library.
+Package: libjpeg-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libjpeg62-turbo-dev (>= ${source:Version}),
+ 	 ${misc:Depends}
+Conflicts: libjpeg62-dev,
+	   libjpeg7-dev,
+	   libjpeg8-dev,
+	   libjpeg9-dev
+Description: Development files for the JPEG library [dummy package]
+ This package depends on default Debian implementation of
+ libjpeg.so.62 JPEG library.
 
-Package: libjpeg-turbo8-dev
+Package: libjpeg62-turbo-dev
 Architecture: any
 Section: libdevel
 Multi-Arch: same
 Depends: libc-dev,
-	 libjpeg-turbo8 (= ${binary:Version}),
+	 libjpeg62-turbo (= ${binary:Version}),
 	 ${misc:Depends}
 Conflicts: libjpeg62-dev,
 	   libjpeg7-dev,
-#	   libjpeg8-dev,
+	   libjpeg8-dev,
 	   libjpeg9-dev
 Replaces: libjpeg62-dev,
 	  libjpeg7-dev,
-#	  libjpeg8-dev,
+	  libjpeg8-dev,
 	  libjpeg9-dev
 Provides: libjpeg-dev
 Description: Development files for the libjpeg-turbo JPEG library
@@ -56,12 +55,15 @@
  .
  This package contains the static library, headers and documentation.
 
-Package: libjpeg-turbo8
+Package: libjpeg62-turbo
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
 	 ${shlibs:Depends}
+Conflicts: libjpeg62
+Replaces: libjpeg62
+Provides: libjpeg62 (= ${binary:Version})
 Description: libjpeg-turbo JPEG runtime library
  The libjpeg-turbo JPEG library is a library for handling JPEG files.
  .
@@ -81,6 +83,7 @@
 	 ${misc:Depends}
 Replaces: libturbojpeg
 Conflicts: libturbojpeg,
+	   libjpeg-turbo8
 Description: TurboJPEG runtime library - SIMD optimized
  The libjpeg-turbo JPEG library is a library for handling JPEG files.
  .
@@ -99,6 +102,7 @@
 Replaces: libturbojpeg-dev,
 Conflicts: libturbojpeg-dev,
 	   libturbojpeg1-dev,
+	   libjpeg-turbo8-dev,
 Provides: libturbojpeg-dev
 Description: Development files for the TurboJPEG library
  The libjpeg-turbo JPEG library is a library for handling JPEG files.

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic $(FLOAT_STORE)
 
 # m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
